# Generated by go2rpm 1
%bcond_without check

# https://github.com/tdewolff/minify
%global goipath         github.com/tdewolff/minify
Version:                2.9.13

%gometa

%global goaltipaths     github.com/tdewolff/minify/v2

%global common_description %{expand:
Minify is a minifier package written in Go. It provides HTML5, CSS3, JS, JSON,
SVG and XML minifiers and an interface to implement any other minifier.
Minification is the process of removing bytes from a file (such as whitespace)
without changing its output and therefore shrinking its size and speeding up
transmission over the internet and possibly parsing. The implemented minifiers
are designed for high performance.

The core functionality associates mimetypes with minification functions,
allowing embedded resources (like CSS or JS within HTML files) to be minified as
well. Users can add new implementations that are triggered based on a mimetype
(or pattern), or redirect to an external command (like ClosureCompiler,
UglifyCSS, ...).}

%global golicenses      LICENSE
%global godocs          README.md README-minify.md

Name:           %{goname}
Release:        1%{?dist}
Summary:        Go minifiers for web formats

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  (golang(github.com/dustin/go-humanize) >= 1.0.0 with golang(github.com/dustin/go-humanize) < 2)
BuildRequires:  (golang(github.com/fsnotify/fsnotify) >= 1.4.9 with golang(github.com/fsnotify/fsnotify) < 2)
BuildRequires:  golang(github.com/matryer/try)
BuildRequires:  (golang(github.com/spf13/pflag) >= 1.0.5 with golang(github.com/spf13/pflag) < 2)
BuildRequires:  (golang(github.com/tdewolff/parse/v2)         >= 2.5.9 with golang(github.com/tdewolff/parse/v2)         < 3)
BuildRequires:  (golang(github.com/tdewolff/parse/v2/buffer)  >= 2.5.9 with golang(github.com/tdewolff/parse/v2/buffer)  < 3)
BuildRequires:  (golang(github.com/tdewolff/parse/v2/css)     >= 2.5.9 with golang(github.com/tdewolff/parse/v2/css)     < 3)
BuildRequires:  (golang(github.com/tdewolff/parse/v2/html)    >= 2.5.9 with golang(github.com/tdewolff/parse/v2/html)    < 3)
BuildRequires:  (golang(github.com/tdewolff/parse/v2/js)      >= 2.5.9 with golang(github.com/tdewolff/parse/v2/js)      < 3)
BuildRequires:  (golang(github.com/tdewolff/parse/v2/json)    >= 2.5.9 with golang(github.com/tdewolff/parse/v2/json)    < 3)
BuildRequires:  (golang(github.com/tdewolff/parse/v2/strconv) >= 2.5.9 with golang(github.com/tdewolff/parse/v2/strconv) < 3)
BuildRequires:  (golang(github.com/tdewolff/parse/v2/xml)     >= 2.5.9 with golang(github.com/tdewolff/parse/v2/xml)     < 3)

%if %{with check}
# Tests
BuildRequires:  (golang(github.com/tdewolff/test) >= 1.0.6 with golang(github.com/tdewolff/test) < 2)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
mv cmd/minify/README.md README-minify.md
sed -i \
    -e 's|\<minify\>|gominify|' \
    cmd/minify/bash_completion

%build
export LDFLAGS='-X main.Version=%{version} '
%gobuild -o %{gobuilddir}/bin/gominify %{goipath}/cmd/minify

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/
# shell completion
install -d %{buildroot}%{_datadir}/bash-completion/completions
install -Dpm0644 cmd/minify/bash_completion %{buildroot}%{_datadir}/bash-completion/completions/gominify

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc README.md README-minify.md
%{_bindir}/*
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/gominify

%gopkgfiles

%changelog
* Tue Feb 16 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.9.13-1
- Update to latest version (#1928945)

* Sun Feb 07 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.9.12-1
- Update to latest version

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan 22 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.9.11-2
- Correct minimum version of parse dependency

* Fri Jan 22 14:41:52 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 2.9.11-1
- Update to 2.9.11
- Close: rhbz#1918451

* Mon Oct 26 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.9.10-1
- Update to latest version (#1891192)

* Sat Oct 17 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.9.9-1
- Update to latest version (#1888957)

* Fri Oct 16 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.9.8-1
- Update to latest version (#1888852)

* Thu Oct 01 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.9.7-1
- Update to latest version (#1884132)

* Wed Sep 23 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.9.5-1
- Update to latest version (#1882059)

* Sat Sep 05 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.9.4-1
- Update to latest version (#1876030)

* Fri Sep 04 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.9.3-1
- Update to latest version (#1874267)

* Sat Aug 29 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.9.1-1
- Update to latest version (#1873758)

* Thu Aug 27 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.9.0-1
- Update to latest version (#1872936)

* Mon Aug 24 11:47:40 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 2.8.0-2
- Add alternate import path

* Wed Jul 29 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.8.0-1
- Update to latest version
- Install bash completion

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat Jul 25 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.7.7-1
- Update to latest version

* Sat Apr 25 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.7.4-1
- Update to latest version

* Sun Mar 15 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.7.3-1
- Update to latest version

* Sat Feb 15 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.7.2-1
- Update to latest version

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jan 02 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.6.2-1
- Update to latest version

* Tue Nov 26 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.6.0-1
- Update to latest version

* Fri Sep 06 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.5.2-1
- Update to latest version

* Sun Aug 18 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.5.1-1
- Update to latest version

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Jul 03 22:53:20 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2.5.0-2
- Update to new macros

* Fri May 17 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.5.0-1
- Update to latest version

* Tue Apr 23 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.4.0-1
- Update to latest version

* Sat Mar 02 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.3.8-2
- Uncomment test BRs
- Depend on unversioned tdewolff/parse until Go modules are supported in Fedora

* Sun Feb 10 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.3.8-1
- First package for Fedora
